epp_ContactCheckRsp (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epprtk.contact.epp_ContactCheckRsp class

### org.openrtk.idl.epprtk.contact

# Class epp_ContactCheckRsp

- `java.lang.Object`
- - `org.openrtk.idl.epprtk.contact.epp_ContactCheckRsp`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_ContactCheckRsp`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the elements used to represent the contact check response from the EPP server. Note usually instantiated by the RTK user, but rather by EPPContactCheck and retrieved using that class' getResponseData() method. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epprtk/contact/epp_ContactCheckRsp.java,v 1.1 2004/12/07 15:27:49 ewang2004 Exp $
$Revision: 1.1 $
$Date: 2004/12/07 15:27:49 $

See Also:
  `EPPContactCheck`, `epp_ContactCheckReq`

  ## Field Summary
  `epp_CheckResult[]` | `m_results` The generic check response array.
  `epp_Response` | `m_rsp` The common and generic response element.

  ## Constructor Summary
  `epp_ContactCheckRsp()` Empty constructor
  `epp_ContactCheckRsp(epp_Response _m_rsp, epp_CheckResult[] _m_results)` The constructor with initializing variables.

  ## Method Summary
  `epp_CheckResult[]` | `getResults()` Accessor method for the contact check results
  `epp_Response` | `getRsp()` Accessor method for the common and generic response element.
  `void` | `setResults(epp_CheckResult[] value)` Accessor method for the contact check results
  `void` | `setRsp(epp_Response value)` Accessor method for the common and generic response element.
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_results

    public epp_CheckResult[] m_results

> The generic check response array.
> See Also:
>   `getResults()`, `EPPXMLBase.getCheckResultFor(epp_CheckResult[],String)`

### m_rsp

    public epp_Response m_rsp

> The common and generic response element.
> See Also:
>   `getRsp()`

## Constructor Details

### epp_ContactCheckRsp

    public epp_ContactCheckRsp()

> Empty constructor

### epp_ContactCheckRsp

    public epp_ContactCheckRsp(epp_Response _m_rsp,
                               epp_CheckResult[] _m_results)

> The constructor with initializing variables.
> Parameters:
>   `_m_rsp` - The common and generic response element
>   `_m_results` - The array of contact check results

## Method Details

### getResults

    public epp_CheckResult[] getResults()

> Accessor method for the contact check results
> Returns:
>   The value for the contact check results array
> See Also:
>   `m_results`

### getRsp

    public epp_Response getRsp()

> Accessor method for the common and generic response element.
> Returns:
>   The value for the response element
> See Also:
>   `m_rsp`

### setResults

    public void setResults(epp_CheckResult[] value)

> Accessor method for the contact check results
> Parameters:
>   `value` - The new value for the contact check results array
> See Also:
>   `m_results`

### setRsp

    public void setRsp(epp_Response value)

> Accessor method for the common and generic response element.
> Parameters:
>   `value` - The new value for the response element
> See Also:
>   `m_rsp`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS